require "weditor/loader/version"
require 'nokogiri'
require 'open-uri'
require 'fileutils'
require 'securerandom'

module Weditor
  module Loader
    class Template
      def self.parser (content_str)
        Nokogiri::HTML(content_str, nil, 'UTF-8')
      end

      def self.read(path)
        file = File.open(path)
        contents = file.read
      end

      def self.save (path, content)
        dir = File.dirname(path)
        FileUtils.mkdir_p dir

        f = File.open(path, 'w')
        f.write(content)
        f.close()

        true
      end 
    end  
    
    class Draft
      def self.uuid
        SecureRandom.uuid 
      end
    end 
  end  
end
